Subject: bug#66615: 30.0.50; Inconsistent 'number-or-marker' type definition in the cl- machinery

From: Stefan Monnier <[email-masked]>
Date: Thu, 19 Oct 2023 10:22:10 -0400

>>> - There is a `number-or-marker-p` primitive and `cl-typep` doesn't know
>>>   how to use it for `(or number marker)`.
>> Well we could just remove 'number-or-marker-p' 😃

Indeed, or we could teach `cl-typep` how to make use of it.

>> I see your point, actually my main drive is to make the situation more
>> coherent so I'm unblocked in the first place, just the method
>> specializer functionality is a blocker for removing 'number-or-marker'.

That's what I had understood, and indeed there were some loose ends there.

> Okay with a567faf4c2b I added 'number-or-marker' where it was missing.

Thanks.  I also added corresponding `integer-or-marker`.

        Stefan